scala.collection
trait SortedMap

[source: `scala/collection/SortedMap.scala`]

`` `trait` SortedMap[K, +E]
  `extends` Map[K, E]`with` Sorted[K, (K, E)]

  A map whose keys are sorted.

Author
  Sean McDirmid

Direct Known Subclasses:
  SortedMap, SortedMap

Method Summary
`override def` | firstKey : K Returns the first key of the collection.
`override def` | from (from : K) : SortedMap[K, E] Creates a ranged projection of this collection with no upper-bound.
`override def` | keySet : SortedSet[K] return as a projection the set of keys in this collection
`override def` | lastKey : K Returns the last key of the collection.
`override def` | range (from : K, until : K) : SortedMap[K, E] Creates a ranged projection of this collection with both a lower-bound and an upper-bound.
`override abstract def` | rangeImpl (from : Option[K], until : Option[K]) : SortedMap[K, E] Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.
`override def` | until (until : K) : SortedMap[K, E] Creates a ranged projection of this collection with no lower-bound.

Methods inherited from Sorted
to, hasAll

Methods inherited from Map
size (abstract), get (abstract), getOrElse, isEmpty, apply, contains, isDefinedAt, keys, values, equals, hashCode, toString, default, projection, filterKeys, mapElements

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
elements (abstract), concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Methods inherited from Ranged
compare (abstract)

Class Summary
`protected class` | DefaultKeySet `extends` SortedSet[K]

Method Details

`override` `def` firstKey : K

  Returns the first key of the collection.

`override` `def` lastKey : K

  Returns the last key of the collection.

`override abstract` `def` rangeImpl(from : Option[K], until : Option[K]) : SortedMap[K, E]

  Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Parameters
  `from -` The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.
  `until -` The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

Overrides
  Sorted.rangeImpl

`override` `def` from(from : K) : SortedMap[K, E]

  Creates a ranged projection of this collection with no upper-bound.

Parameters
  `from -` The lower-bound (inclusive) of the ranged projection.

Overrides
  Sorted.from

`override` `def` until(until : K) : SortedMap[K, E]

  Creates a ranged projection of this collection with no lower-bound.

Parameters
  `until -` The upper-bound (exclusive) of the ranged projection.

Overrides
  Sorted.until

`override` `def` range(from : K, until : K) : SortedMap[K, E]

  Creates a ranged projection of this collection with both a lower-bound and an upper-bound.

Parameters
  `from -` The upper-bound (exclusive) of the ranged projection.
  `until -` ...
Returns
  ...

Overrides
  Sorted.range

`override` `def` keySet : SortedSet[K]

  return as a projection the set of keys in this collection

Overrides
  Map.keySet, Sorted.keySet